package com.backendsys.modules.material.service;

import com.backendsys.modules.material.entity.Material;
import com.backendsys.utils.response.PageEntity;

import java.util.Map;

public interface MaterialService {

    // 获取素材列表
    PageEntity selectMaterialList(Material material);

    // 获取素材详情
    Material selectMaterialDetail(Material material);

    // 创建素材
    Map<String, Object> insertMaterial(Material material);

    // 编辑素材
    Map<String, Object> updateMaterial(Material material);

    // 删除素材
    Map<String, Object> deleteMaterial(Material material);

}
